Page MenuHomePhabricator

Convert Special:ProtectedTitles to OOUI
Closed, ResolvedPublic

Description

Doesn't look sooo difficult, maybe a HoriziontalLayout.

Details

Related Gerrit Patches:

Event Timeline

Florian created this task.Nov 4 2015, 5:04 PM
Florian raised the priority of this task from to Normal.
Florian updated the task description. (Show Details)
Florian added a project: UI-Standardization.
saurabhsuniljain added a subscriber: saurabhsuniljain.

I will be fixing this bug.

Hi @saurabhsuniljain: Thanks! If you upload a change to gerrit, please put the "Bug: T117723" to the bottom of the commit message to let @gerritbot create a link to it on this task :)

Change 276975 had a related patch set uploaded (by Saurabhsuniljain):
Convert SpecialProtectedtitles.php to use OOUI

https://gerrit.wikimedia.org/r/276975

Change 401200 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] Special:ProtectedTitles: Use HTMLForm

https://gerrit.wikimedia.org/r/401200

Change 401201 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] Special:ProtectedTitles: Use OOUI in HTMLForm

https://gerrit.wikimedia.org/r/401201

Change 401200 merged by jenkins-bot:
[mediawiki/core@master] Special:ProtectedTitles: Use HTMLForm

https://gerrit.wikimedia.org/r/401200

Jdforrester-WMF closed this task as Resolved.Apr 4 2018, 4:42 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Volker_E reopened this task as Open.Apr 4 2018, 4:55 PM
Volker_E added a subscriber: Volker_E.

The patch to convert to OOUI is still waiting to be merged. @matmarex commented on waiting for doing it in sync with T117722

Change 427843 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] Special:ProtectedTitles: Use HTMLForm

https://gerrit.wikimedia.org/r/427843

Change 401201 abandoned by Prtksxna:
Special:ProtectedTitles: Use OOUI in HTMLForm

Reason:
See I874a8614920166d68671f757497fb27554a397ac instead.

https://gerrit.wikimedia.org/r/401201

Change 427843 merged by jenkins-bot:
[mediawiki/core@master] Special:ProtectedTitles: Use HTMLForm

https://gerrit.wikimedia.org/r/427843

Volker_E closed this task as Resolved.Apr 20 2018, 5:42 PM
Volker_E reassigned this task from saurabhsuniljain to Prtksxna.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.